summary refs log tree commit diff
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--.local/share/applications/desktop-actions.desktop30
-rw-r--r--.local/share/applications/senpai.desktop14
-rw-r--r--.local/share/applications/urlopen.desktop9
-rw-r--r--.local/share/applications/workfox.desktop24
-rwxr-xr-x.local/share/darkman/bg.sh10
-rwxr-xr-x.local/share/darkman/foot.sh14
-rwxr-xr-x.local/share/darkman/fuzzel.sh12
-rwxr-xr-x.local/share/darkman/gtk3.sh12
-rwxr-xr-x.local/share/darkman/mako.sh14
9 files changed, 139 insertions, 0 deletions
diff --git a/.local/share/applications/desktop-actions.desktop b/.local/share/applications/desktop-actions.desktop
new file mode 100644
index 0000000..f74ef69
--- /dev/null
+++ b/.local/share/applications/desktop-actions.desktop
@@ -0,0 +1,30 @@
+[Desktop Entry]
+Version=1.0
+Name=Actions
+Exec=true
+Terminal=false
+Type=Application
+Actions=play-music-shuffle;play-music-select;play-music-skip;screenrec-start;screenrec-stop;
+
+[Desktop Action play-music-shuffle]
+Icon=play-music
+Name=play-music shuffle
+Exec=play-music shuffle
+
+[Desktop Action play-music-select]
+Icon=play-music
+Name=play-music select
+Exec=play-music select
+
+[Desktop Action play-music-skip]
+Icon=play-music
+Name=play-music skip
+Exec=playerctl next
+
+[Desktop Action screenrec-start]
+Name=screenrec start
+Exec=screenrec
+
+[Desktop Action screenrec-stop]
+Name=screenrec stop
+Exec=screenrec stop
diff --git a/.local/share/applications/senpai.desktop b/.local/share/applications/senpai.desktop
new file mode 100644
index 0000000..a95c799
--- /dev/null
+++ b/.local/share/applications/senpai.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Version=1.5
+Name=senpai
+
+GenericName=IRC Client
+Comment=Chat on IRC with senpai
+Keywords=Chat;IRC;IM;Messaging
+Categories=Network;InstantMessaging;Chat;IRCClient;ConsoleOnly
+
+Type=Application
+MimeType=x-scheme-handler/irc;x-scheme-handler/ircs
+Icon=senpai
+Terminal=true
+Exec=senpai %u
diff --git a/.local/share/applications/urlopen.desktop b/.local/share/applications/urlopen.desktop
new file mode 100644
index 0000000..71c21e4
--- /dev/null
+++ b/.local/share/applications/urlopen.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Name=urlopen
+Exec=urlopen %u
+Icon=urlopen
+Terminal=false
+Type=Application
+MimeType=x-scheme-handler/http;x-scheme-handler/https;
+NoDisplay=true
diff --git a/.local/share/applications/workfox.desktop b/.local/share/applications/workfox.desktop
new file mode 100644
index 0000000..6f401fc
--- /dev/null
+++ b/.local/share/applications/workfox.desktop
@@ -0,0 +1,24 @@
+[Desktop Entry]
+Version=1.0
+Name=Workfox
+Exec=env MOZ_APP_REMOTINGNAME=workfox librewolf --name workfox --profile /home/robert/.librewolf/hibiki.work %u
+Comment=Browse the World Wide Web (for Work)
+GenericName=Web Browser (for Work)
+Keywords=Internet;WWW;Browser;Web;Explorer
+Icon=workfox
+Terminal=false
+X-MultipleArgs=false
+Type=Application
+MimeType=text/html;text/xml;application/xhtml+xml;x-scheme-handler/http;x-scheme-handler/https;application/x-xpinstall;application/pdf;application/json;
+StartupNotify=true
+StartupWMClass=LibreWolf
+Categories=Network;WebBrowser;
+Actions=new-window;new-private-window;
+
+[Desktop Action new-window]
+Name=Open a New Window
+Exec=env MOZ_APP_REMOTINGNAME=workfox librewolf --name workfox --profile /home/robert/.librewolf/hibiki.work --new-window %u
+
+[Desktop Action new-private-window]
+Name=Open a New Private Window
+Exec=env MOZ_APP_REMOTINGNAME=workfox librewolf --name workfox --profile /home/robert/.librewolf/hibiki.work --private-window %u
diff --git a/.local/share/darkman/bg.sh b/.local/share/darkman/bg.sh
new file mode 100755
index 0000000..a6d4c3e
--- /dev/null
+++ b/.local/share/darkman/bg.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+
+case "$1" in
+light|dark)
+	ln -sf ${XDG_PICTURES_DIR}/bg_${1}.jpg ${XDG_PICTURES_DIR}/bg.jpg
+	rc-service -U swaybg restart
+	;;
+default) exit 1 ;;
+esac
diff --git a/.local/share/darkman/foot.sh b/.local/share/darkman/foot.sh
new file mode 100755
index 0000000..3f9ac81
--- /dev/null
+++ b/.local/share/darkman/foot.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+case "$1" in
+dark)
+	echo "initial-color-theme=1" > ~/.config/foot/colors.ini
+	killall -s SIGUSR1 foot
+	;;
+light)
+	echo "initial-color-theme=2" > ~/.config/foot/colors.ini
+	killall -s SIGUSR2 foot
+	;;
+default) exit 1 ;;
+esac
diff --git a/.local/share/darkman/fuzzel.sh b/.local/share/darkman/fuzzel.sh
new file mode 100755
index 0000000..a51cd39
--- /dev/null
+++ b/.local/share/darkman/fuzzel.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -eu
+
+case "$1" in
+dark)
+	echo "include=~/.config/fuzzel/colors-dark.ini" > ~/.config/fuzzel/colors.ini
+	;;
+light)
+	echo "include=~/.config/fuzzel/colors-light.ini" > ~/.config/fuzzel/colors.ini
+	;;
+default) exit 1 ;;
+esac
diff --git a/.local/share/darkman/gtk3.sh b/.local/share/darkman/gtk3.sh
new file mode 100755
index 0000000..1b6ff21
--- /dev/null
+++ b/.local/share/darkman/gtk3.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -eu
+
+case "$1" in
+dark)
+	gsettings set org.gnome.desktop.interface gtk-theme adw-gtk3-dark
+	;;
+light)
+	gsettings set org.gnome.desktop.interface gtk-theme adw-gtk3
+	;;
+default) exit 1 ;;
+esac
diff --git a/.local/share/darkman/mako.sh b/.local/share/darkman/mako.sh
new file mode 100755
index 0000000..dd50242
--- /dev/null
+++ b/.local/share/darkman/mako.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+case "$1" in
+dark)
+	echo "include=~/.config/mako/colors-dark" > ~/.config/mako/colors
+	makoctl reload
+	;;
+light)
+	echo "include=~/.config/mako/colors-light" > ~/.config/mako/colors
+	makoctl reload
+	;;
+default) exit 1 ;;
+esac